use crate::module::direnv::{DirenvModuleArgs, DirenvNixFunction};

#[derive(Debug, Clone, clap::ValueEnum)]
pub enum DirenvCliNixValue {
    Flake,
    Shell,
}
impl From<DirenvCliNixValue> for DirenvNixFunction {
    fn from(value: DirenvCliNixValue) -> Self {
        match value {
            DirenvCliNixValue::Flake => DirenvNixFunction::Flake,
            DirenvCliNixValue::Shell => DirenvNixFunction::Shell,
        }
    }
}

#[derive(Debug, Clone, clap::Args)]
pub struct DirenvModuleCliArgs {
    #[clap(long)]
    pub nix: Option<DirenvCliNixValue>,
    #[clap(long)]
    pub nix_args: Option<String>,
    #[clap(long)]
    pub nodejs: bool,
}

impl From<DirenvModuleCliArgs> for DirenvModuleArgs {
    fn from(args: DirenvModuleCliArgs) -> Self {
        DirenvModuleArgs {
            nix: args.nix.map(From::from),
            nix_args: args.nix_args,
            nodejs: args.nodejs,
        }
    }
}
