use crate::module::gitignore::GitIgnoreModuleArgs;

#[derive(Debug, Clone, clap::Args)]
pub struct GitIgnoreModuleCliArgs {
    #[clap(long)]
    pub editors: bool,
    #[clap(long)]
    pub env: bool,
    #[clap(long)]
    pub direnv: bool,
    #[clap(long)]
    pub rust: bool,
    #[clap(long)]
    pub nodejs: bool,
    #[clap(long)]
    pub nix: bool,
    #[clap(long)]
    pub custom: Option<String>,
}

impl From<GitIgnoreModuleCliArgs> for GitIgnoreModuleArgs {
    fn from(args: GitIgnoreModuleCliArgs) -> Self {
        GitIgnoreModuleArgs {
            editors: args.editors,
            env: args.env,
            direnv: args.direnv,
            rust: args.rust,
            nodejs: args.nodejs,
            nix: args.nix,
            custom: args.custom,
        }
    }
}
